---
title: "Get a product on a sales channel"
description: "Get a specified product on the current sales channel."
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/sales-channels/query-specify-product-for-sales-channels'
  md: 'https://developer.shopline.com/docs/admin-rest-api/sales-channels/query-specify-product-for-sales-channels.md'
---
# Get a product on a sales channel

Get a specified product on the current sales channel.

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_product_listings`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /product_listings/:product_listing_id.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_product_listings`

## Request

### Path Parameters

* `product_listing_id`

  string (required)

  The unique identifier for the product. <br/>
  Maximum length: 64

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `product_listing`

  object

  Product information.

  * `body_html`

    string

    The product description.

  * `created_at`

    string

    The date and time when the product was created. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `handle`

    string

    The semantically unique identifier for the product,
    which is generated based on `title` by default.

  * `images`

    array<object>

    A list of product images.

    * `alt`

      string

      The alternative textual description of the product image, usually a word or phrase with the characteristics or content of the image.

    * `src`

      string

      The link to the product image, represented as a URL.

  * `options`

    array<object>

    A list of product options.

    * `id`

      string

      The unique identifier for the option.

    * `name`

      string

      The name of the option.

    * `product_id`

      string

      The unique identifier for the product corresponding to the option.

    * `values`

      array<string>

      A list of option values.

    * `values_images`

      map

      The mapping relationship between the option value and the corresponding image URL.

  * `product_id`

    string

    The unique identifier for the product.

  * `published_at`

    string

    The date and time when the product was published to the online store. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `published_scope`

    string

    The sales channel scope to which the product is published. The value of this parameter is fixed to `web`, indicating an online store.

  * `spu`

    string

    The identifier customized for the product by the merchant.

  * `status`

    string

    The status of the product. Valid values are:
    - `active`: Published
    - `draft`: Unpublished
    - `archived`: Archived

  * `subtitle`

    string

    The summary of the product.

  * `tags`

    string

    A list of tags of the product.

  * `template_path`

    string

    The file path of the theme template for the product details page.

  * `title`

    string

    The name of the product.

  * `unlisted`

    boolean

    Whether the product is unlisted.
    - `true`: The product is unlisted. The product is hidden from all public storefront channels and search results, but remains accessible via its direct URL.
    - `false`: The product is listed. The product is displayed and searchable across all storefront channels as normal.

  * `updated_at`

    string

    The date and time when the product was last updated. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `variants`

    array<object>

    A list of product variants.

    * `barcode`

      string

      The barcode of the variant.

    * `compare_at_price`

      string

      The original price of the variant. The value is rounded to two decimal places.

    * `id`

      string

      The unique identifier for the variant.

    * `image`

      object

      The image of the variant.

      * `alt`

        string

        The alternative textual description of the variant image, usually a word or phrase with the characteristics or content of the image.

      * `src`

        string

        The link to the variant image, represented as a URL.

    * `inventory_item_id`

      string

      The unique identifier for the inventory item.

    * `inventory_policy`

      string

      The overselling policy for the variant. Valid values are:
      - `deny`: Overselling is not allowed.
      - `continue`: Overselling is allowed.

    * `inventory_quantity`

      integer

      The total inventory quantity at all storage locations.

    * `inventory_tracker`

      boolean

      Indicates whether the inventory tracking is enabled.
      - ` true`: Inventory tracking is enabled.
      - ` false`: Inventory tracking is not enabled.

    * `option1`

      string

      Information of the first option of the variant.

    * `option2`

      string

      Information of the second option of the variant.

    * `option3`

      string

      Information of the third option of the variant.

    * `option4`

      string

      Information of the fourth option of the variant.

    * `option5`

      string

      Information of the fifth option of the variant.

    * `price`

      string

      The selling price of the variant. The value is rounded to two decimal places.

    * `product_id`

      string

      The unique identifier for the product corresponding to the variant.

    * `required_shipping`

      boolean

      Indicates whether the variant requires shipping.
      - `true`: Shipping is required.
      - `false`: Shipping is not required.

    * `sku`

      string

      The identifier customized for the product variant by the merchant.

    * `taxable`

      boolean

      Indicates whether the variant is subject to tax.
      - `true`: Tax is required.
      - `false`: Tax is not required.

    * `title`

      string

      The name of the variant, concatenated from its option values.

    * `weight`

      string

      The weight of the variant. The value is rounded to two decimal places.

    * `weight_unit`

      string

      The unit of weight for the variant. Valid values are:
      - `g`: gram
      - `kg`: kilogram
      - `lb`: pound
      - `oz`: ounce
      - `zh_kg`: kilogram

  * `vendor`

    string

    The brand or vendor of the product.


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "tags": [
    "Get a product on a sales channel"
  ],
  "description": "Get a specified product on the current sales channel.",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_product_listings` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": "| Error Code | HTTP Status Code | Error Description |\n|------------|------------------|-------------------|\n| DATA_NOT_EXIST | 404 | The requested data does not exist. |\n| SUCCESS | 200 | request success |\n| SYSTEM_ERROR | 500 | system error |\n| PARAM_ILLEGAL | 422 | illegal param |\n"
  },
  "operationId": "X25eJcJb",
  "parameters": [
    {
      "name": "product_listing_id",
      "in": "path",
      "description": "The unique identifier for the product. <br/>\nMaximum length: 64",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "product_listing_id",
        "description": "The unique identifier for the product. <br/>\nMaximum length: 64",
        "type": "string",
        "example": "16049619743346320200470282"
      },
      "example": "16049619743346320200470282",
      "examples": {
        "Get a specified product on a sales channel": {
          "value": "16060878853599197112313144"
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "product_listing": {
                "name": "product_listing",
                "description": "Product information.",
                "type": "object",
                "properties": {
                  "body_html": {
                    "name": "body_html",
                    "description": "The product description.",
                    "type": "string",
                    "example": "This is a description"
                  },
                  "created_at": {
                    "name": "created_at",
                    "description": "The date and time when the product was created. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
                    "type": "string",
                    "example": "2025-03-06T02:20:26+08:00"
                  },
                  "handle": {
                    "name": "handle",
                    "description": "The semantically unique identifier for the product,\nwhich is generated based on `title` by default.",
                    "type": "string",
                    "example": "product-handle"
                  },
                  "images": {
                    "name": "images",
                    "description": "A list of product images.",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "alt": {
                          "name": "alt",
                          "description": "The alternative textual description of the product image, usually a word or phrase with the characteristics or content of the image.",
                          "type": "string",
                          "example": "This is an image alt."
                        },
                        "src": {
                          "name": "src",
                          "description": "The link to the product image, represented as a URL.",
                          "type": "string",
                          "example": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                        }
                      },
                      "example": {
                        "alt": "This is an image alt.",
                        "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                      }
                    }
                  },
                  "options": {
                    "name": "options",
                    "description": "A list of product options.",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "name": "id",
                          "description": "The unique identifier for the option.",
                          "type": "string",
                          "example": "16158068291703878544960282"
                        },
                        "name": {
                          "name": "name",
                          "description": "The name of the option.",
                          "type": "string",
                          "example": "Color"
                        },
                        "product_id": {
                          "name": "product_id",
                          "description": "The unique identifier for the product corresponding to the option.",
                          "type": "string",
                          "example": "16057850264845250791280282"
                        },
                        "values": {
                          "name": "values",
                          "description": "A list of option values.",
                          "type": "array",
                          "items": {
                            "type": "string"
                          },
                          "example": [
                            "red",
                            "green",
                            "white"
                          ]
                        },
                        "values_images": {
                          "name": "values_images",
                          "description": "The mapping relationship between the option value and the corresponding image URL.",
                          "type": "map",
                          "example": {
                            "red": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                          }
                        }
                      },
                      "example": {
                        "id": "16158068291703878544960282",
                        "name": "Color",
                        "product_id": "16057850264845250791280282",
                        "values": [
                          "red",
                          "green",
                          "white"
                        ],
                        "values_images": {
                          "red": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                        }
                      }
                    }
                  },
                  "product_id": {
                    "name": "product_id",
                    "description": "The unique identifier for the product.",
                    "type": "string",
                    "example": "16057850264845250791280282"
                  },
                  "published_at": {
                    "name": "published_at",
                    "description": "The date and time when the product was published to the online store. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
                    "type": "string",
                    "example": "2025-03-06T02:20:26+08:00"
                  },
                  "published_scope": {
                    "name": "published_scope",
                    "description": "The sales channel scope to which the product is published. The value of this parameter is fixed to `web`, indicating an online store.",
                    "type": "string"
                  },
                  "spu": {
                    "name": "spu",
                    "description": "The identifier customized for the product by the merchant.",
                    "type": "string",
                    "example": "S00000001"
                  },
                  "status": {
                    "name": "status",
                    "description": "The status of the product. Valid values are:\n- `active`: Published\n- `draft`: Unpublished\n- `archived`: Archived",
                    "type": "string"
                  },
                  "subtitle": {
                    "name": "subtitle",
                    "description": "The summary of the product.",
                    "type": "string",
                    "example": "This is a subtitle"
                  },
                  "tags": {
                    "name": "tags",
                    "description": "A list of tags of the product.",
                    "type": "string",
                    "example": "tag1, tag2"
                  },
                  "template_path": {
                    "name": "template_path",
                    "description": "The file path of the theme template for the product details page.",
                    "type": "string",
                    "example": "templates/product.product_template_name.json"
                  },
                  "title": {
                    "name": "title",
                    "description": "The name of the product.",
                    "type": "string",
                    "example": "This is a product name"
                  },
                  "unlisted": {
                    "name": "unlisted",
                    "description": "Whether the product is unlisted.\n- `true`: The product is unlisted. The product is hidden from all public storefront channels and search results, but remains accessible via its direct URL.\n- `false`: The product is listed. The product is displayed and searchable across all storefront channels as normal.",
                    "type": "boolean"
                  },
                  "updated_at": {
                    "name": "updated_at",
                    "description": "The date and time when the product was last updated. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
                    "type": "string",
                    "example": "2025-03-06T02:20:26+08:00"
                  },
                  "variants": {
                    "name": "variants",
                    "description": "A list of product variants.",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "barcode": {
                          "name": "barcode",
                          "description": "The barcode of the variant.",
                          "type": "string",
                          "example": "T00000001"
                        },
                        "compare_at_price": {
                          "name": "compare_at_price",
                          "description": "The original price of the variant. The value is rounded to two decimal places.",
                          "type": "string",
                          "example": "129.99"
                        },
                        "id": {
                          "name": "id",
                          "description": "The unique identifier for the variant.",
                          "type": "string",
                          "example": "18057039439794751459380282"
                        },
                        "image": {
                          "name": "image",
                          "description": "The image of the variant.",
                          "type": "object",
                          "properties": {
                            "alt": {
                              "name": "alt",
                              "description": "The alternative textual description of the variant image, usually a word or phrase with the characteristics or content of the image.",
                              "type": "string",
                              "example": "This is an image alt."
                            },
                            "src": {
                              "name": "src",
                              "description": "The link to the variant image, represented as a URL.",
                              "type": "string",
                              "example": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                            }
                          },
                          "example": {
                            "alt": "This is an image alt.",
                            "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                          }
                        },
                        "inventory_item_id": {
                          "name": "inventory_item_id",
                          "description": "The unique identifier for the inventory item.",
                          "type": "string",
                          "example": "59854602422372317075"
                        },
                        "inventory_policy": {
                          "name": "inventory_policy",
                          "description": "The overselling policy for the variant. Valid values are:\n- `deny`: Overselling is not allowed.\n- `continue`: Overselling is allowed.",
                          "type": "string"
                        },
                        "inventory_quantity": {
                          "name": "inventory_quantity",
                          "description": "The total inventory quantity at all storage locations.",
                          "type": "integer",
                          "example": 99
                        },
                        "inventory_tracker": {
                          "name": "inventory_tracker",
                          "description": "Indicates whether the inventory tracking is enabled.\n- ` true`: Inventory tracking is enabled.\n- ` false`: Inventory tracking is not enabled.",
                          "type": "boolean"
                        },
                        "option1": {
                          "name": "option1",
                          "description": "Information of the first option of the variant.",
                          "type": "string",
                          "example": "red"
                        },
                        "option2": {
                          "name": "option2",
                          "description": "Information of the second option of the variant.",
                          "type": "string",
                          "example": "xl"
                        },
                        "option3": {
                          "name": "option3",
                          "description": "Information of the third option of the variant.",
                          "type": "string",
                          "example": "cotton"
                        },
                        "option4": {
                          "name": "option4",
                          "description": "Information of the fourth option of the variant.",
                          "type": "string",
                          "example": "short"
                        },
                        "option5": {
                          "name": "option5",
                          "description": "Information of the fifth option of the variant.",
                          "type": "string",
                          "example": "casual"
                        },
                        "price": {
                          "name": "price",
                          "description": "The selling price of the variant. The value is rounded to two decimal places.",
                          "type": "string",
                          "example": "90.22"
                        },
                        "product_id": {
                          "name": "product_id",
                          "description": "The unique identifier for the product corresponding to the variant.",
                          "type": "string",
                          "example": "16057039432335097907370282"
                        },
                        "required_shipping": {
                          "name": "required_shipping",
                          "description": "Indicates whether the variant requires shipping.\n- `true`: Shipping is required.\n- `false`: Shipping is not required.",
                          "type": "boolean"
                        },
                        "sku": {
                          "name": "sku",
                          "description": "The identifier customized for the product variant by the merchant.",
                          "type": "string",
                          "example": "S00000001"
                        },
                        "taxable": {
                          "name": "taxable",
                          "description": "Indicates whether the variant is subject to tax.\n- `true`: Tax is required.\n- `false`: Tax is not required.",
                          "type": "boolean"
                        },
                        "title": {
                          "name": "title",
                          "description": "The name of the variant, concatenated from its option values.",
                          "type": "string",
                          "example": "red · xl"
                        },
                        "weight": {
                          "name": "weight",
                          "description": "The weight of the variant. The value is rounded to two decimal places.",
                          "type": "string",
                          "example": "0.23"
                        },
                        "weight_unit": {
                          "name": "weight_unit",
                          "description": "The unit of weight for the variant. Valid values are:\n- `g`: gram\n- `kg`: kilogram\n- `lb`: pound\n- `oz`: ounce\n- `zh_kg`: kilogram",
                          "type": "string"
                        }
                      },
                      "example": {
                        "barcode": "T00000001",
                        "compare_at_price": "129.99",
                        "id": "18057039439794751459380282",
                        "image": {
                          "alt": "This is an image alt.",
                          "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                        },
                        "inventory_item_id": "59854602422372317075",
                        "inventory_policy": null,
                        "inventory_quantity": 99,
                        "inventory_tracker": null,
                        "option1": "red",
                        "option2": "xl",
                        "option3": "cotton",
                        "option4": "short",
                        "option5": "casual",
                        "price": "90.22",
                        "product_id": "16057039432335097907370282",
                        "required_shipping": null,
                        "sku": "S00000001",
                        "taxable": null,
                        "title": "red · xl",
                        "weight": "0.23",
                        "weight_unit": null
                      }
                    }
                  },
                  "vendor": {
                    "name": "vendor",
                    "description": "The brand or vendor of the product.",
                    "type": "string",
                    "example": "SHOPLINE"
                  }
                },
                "example": {
                  "body_html": "This is a description",
                  "created_at": "2025-03-06T02:20:26+08:00",
                  "handle": "product-handle",
                  "images": null,
                  "options": null,
                  "product_id": "16057850264845250791280282",
                  "published_at": "2025-03-06T02:20:26+08:00",
                  "published_scope": null,
                  "spu": "S00000001",
                  "status": null,
                  "subtitle": "This is a subtitle",
                  "tags": "tag1, tag2",
                  "template_path": "templates/product.product_template_name.json",
                  "title": "This is a product name",
                  "unlisted": null,
                  "updated_at": "2025-03-06T02:20:26+08:00",
                  "variants": null,
                  "vendor": "SHOPLINE"
                }
              }
            },
            "example": {
              "product_listing": {
                "body_html": "This is a description",
                "created_at": "2025-03-06T02:20:26+08:00",
                "handle": "product-handle",
                "images": null,
                "options": null,
                "product_id": "16057850264845250791280282",
                "published_at": "2025-03-06T02:20:26+08:00",
                "published_scope": null,
                "spu": "S00000001",
                "status": null,
                "subtitle": "This is a subtitle",
                "tags": "tag1, tag2",
                "template_path": "templates/product.product_template_name.json",
                "title": "This is a product name",
                "unlisted": null,
                "updated_at": "2025-03-06T02:20:26+08:00",
                "variants": null,
                "vendor": "SHOPLINE"
              }
            }
          },
          "examples": {
            "Get a specified product on a sales channel": {
              "description": "Get a specified product on a sales channel.",
              "value": {
                "product_listing": {
                  "body_html": "<p>This is a description</p>",
                  "created_at": "2023-08-28T11:45:53+08:00",
                  "handle": "my-product-15",
                  "images": [
                    {
                      "alt": "This is an alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                    }
                  ],
                  "options": [
                    {
                      "id": "16160878853605069127763144",
                      "name": "Size",
                      "product_id": "16060878853599197112313144",
                      "values": [
                        "L",
                        "XL",
                        "XXL"
                      ],
                      "values_images": {}
                    },
                    {
                      "id": "16160878853605069127793144",
                      "name": "Color",
                      "product_id": "16060878853599197112313144",
                      "values": [
                        "White"
                      ],
                      "values_images": {}
                    }
                  ],
                  "product_id": "16060878853599197112313144",
                  "published_at": "2023-08-28T11:45:53+08:00",
                  "published_scope": "web",
                  "spu": "S000000001",
                  "status": "active",
                  "subtitle": "This is a subtitle",
                  "tags": "Spring,T shirt",
                  "template_path": "templates/products/detail.html",
                  "title": "My Product 15",
                  "updated_at": "2023-08-28T19:19:05+08:00",
                  "variants": [
                    {
                      "barcode": "T00000001",
                      "compare_at_price": "120.00",
                      "id": "18060878853605069127743144",
                      "image": {
                        "alt": "This is an alt",
                        "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                      },
                      "inventory_item_id": "6087885361949712083",
                      "inventory_policy": "continue",
                      "inventory_quantity": 580,
                      "inventory_tracker": true,
                      "option1": "L",
                      "option2": "White",
                      "price": "100.00",
                      "product_id": "16060878853599197112313144",
                      "required_shipping": true,
                      "sku": "S00000000101",
                      "taxable": true,
                      "title": "L · White",
                      "weight": "10.00",
                      "weight_unit": "g"
                    },
                    {
                      "barcode": "B0000000001",
                      "compare_at_price": "120.00",
                      "id": "18060878853605069127833144",
                      "image": {
                        "alt": "My Product-10",
                        "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                      },
                      "inventory_item_id": "6087885361949712081",
                      "inventory_policy": "deny",
                      "inventory_quantity": 100,
                      "inventory_tracker": true,
                      "option1": "XL",
                      "option2": "White",
                      "price": "100.00",
                      "product_id": "16060878853599197112313144",
                      "required_shipping": true,
                      "sku": "S00000000102",
                      "taxable": true,
                      "title": "XL · White",
                      "weight": "50.00",
                      "weight_unit": "g"
                    },
                    {
                      "barcode": "B0000000001",
                      "compare_at_price": "120.00",
                      "id": "18060878853605069127893144",
                      "image": {
                        "alt": "My Product-10",
                        "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                      },
                      "inventory_item_id": "6087885361949712082",
                      "inventory_policy": "deny",
                      "inventory_quantity": 170,
                      "inventory_tracker": true,
                      "option1": "XXL",
                      "option2": "White",
                      "price": "100.00",
                      "product_id": "16060878853599197112313144",
                      "required_shipping": true,
                      "sku": "S00000000103",
                      "taxable": true,
                      "title": "XXL · White",
                      "weight": "50.00",
                      "weight_unit": "g"
                    }
                  ],
                  "vendor": "Shopline"
                }
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/product_listings/:product_listing_id.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Get a product on a sales channel",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_product_listings"
  ]
}
```